# Bot Checklist

## General Commands
- [X] **/whoami** - Get your extension info if you have one.
- [X] **/new** - Get an extension on the LiteNet Phone System.
- [X] **/delete** - Remove your extension from the LiteNet Phone System.
- [X] **/list** - List all extensions on the LiteNet Phone System.
- [ ] **/button** - Send the "Get an extension" button! *(Requires default_member_permissions: 0)*

## Admin Commands
*(Requires default_member_permissions: 0)*
- [ ] **/admin**
  - [ ] **silence** - Kill all ongoing calls.
  - [ ] **reload** - Run an Asterisk reload.
  - [ ] **reboot** - Reboot the server. *(LAST RESORT)*

## Developer Commands
*(Requires default_member_permissions: 0)*
- [ ] **/dev**
  - [ ] **fwconsole** - Run an `fwconsole` command.
    - [ ] **command** (required) - The command to run.
  - [ ] **asterisk** - Run an Asterisk CLI command.
    - [ ] **command** (required) - The command to run.
  - [ ] **shell** - Run a shell command.
    - [ ] **command** (required) - The command to run.
  - [ ] **restart** - Restart the bot.

## Call Detail Records (CDR)
- [ ] **/cdr** - Get the call detail records for your extension.
  - [ ] **start_date** (optional) - The start date for the CDR (mm/dd/yyyy).
  - [ ] **end_date** (optional) - The end date for the CDR (mm/dd/yyyy).

## Context Menu Commands
- [ ] **Lookup Extension** - *(Type: 2)*
- [ ] **Create Extension** - *(Type: 2, Requires default_member_permissions: 0)*
- [ ] **Delete Extension** - *(Type: 2, Requires default_member_permissions: 0)*


## Buttons (On button message)
- **Get an Extension** - Sends the "Get an extension" button.
- **See Your Info** - Sends the "See your info" button.
- **Delete Your Extension** - Sends the "Delete your extension" button.